use std::fs;

use endcap_sl_software_ri_generator::types;

fn main() {
    println!("Hello, world!");
    let xmlfile = fs::read_to_string("./csr.xml").unwrap();
    let doc = roxmltree::Document::parse_with_options(
        &xmlfile,
        roxmltree::ParsingOptions {
            allow_dtd: true,
            nodes_limit: u32::MAX,
        },
    )
    .unwrap();
    println!("Parsed: {:#?}", doc);
    println!("Root: {:?}", doc.root_element());
    {
        let root = doc.root_element();
        println!("tag: {:?}", root.tag_name());
        let root_childs = root.children().filter(|node| node.is_element());
        println!("children: {:?}", root_childs);
    }

    let register_map = types::Module::from_xml_dom(doc.root_element()).unwrap();
}
